import request from '@/utils/request';

// 获取福利分类（福利装修-分类管理）
export function getGiftCategoryList(query: any) {
  return request({
    url: '/product/benefitsProduct/getGiftCategoryList',
    method: 'get',
    params: query
  });
}

// 轮播广告（福利装修-轮播广告）
export function getHomeAdList(query: any) {
  return request({
    url: '/system/benefitsSystem/getHomeAdList',
    method: 'get',
    params: query
  });
}

// 会员权益
export function getIconAdList(query: any) {
  return request({
    url: '/system/benefitsSystem/getIconAdList',
    method: 'get',
    params: query
  });
}

// 咨询
export function getNoticeList(query: any) {
  return request({
    url: '/product/benefitsProduct/getNoticeList',
    method: 'get',
    params: query
  });
}

// 推荐广告（福利装修-推荐广告）场景采购
export function getRecommendAdList(query: any) {
  return request({
    url: '/system/benefitsSystem/getRecommendAdList',
    method: 'get',
    params: query
  });
}

// 热门定制（福利装修-热门定制）
export function getHotCustomGiftFloorList(query: any) {
  return request({
    url: '/product/benefitsProduct/getHotCustomGiftFloorList',
    method: 'get',
    params: query
  });
}

//循环
export function getAdvertisementGiftFloorList(query: any) {
  return request({
    url: '/product/benefitsProduct/getAdvertisementGiftFloorList',
    method: 'get',
    params: query
  });
}

//循环-商品
export function getGiftFloorLinkProductList(query: any) {
  return request({
    url: '/product/benefitsProduct/getGiftFloorLinkProductList',
    method: 'get',
    params: query
  });
}

// 为你推荐（福利装修-为你推荐）
export function getRecommendGiftFloorList(query: any) {
  return request({
    url: '/product/benefitsProduct/getRecommendGiftFloorList',
    method: 'get',
    params: query
  });
}
